import { AufnahmeClient, VerbrauchsausweisGewerbeClient, VerbrauchsausweisWohnenClient } from "#components/Ausweis/types.js";

export function auditBedarfsausweisBenoetigt(ausweis: VerbrauchsausweisWohnenClient | VerbrauchsausweisGewerbeClient, gebaeude: AufnahmeClient): boolean {
	if (ausweis.ausstellgrund == "Neubau" || ausweis.ausstellgrund == "Modernisierung") {
		return true;
	}

	if (gebaeude.saniert == true && ( gebaeude.dachgeschoss_gedaemmt == false || gebaeude.oberste_geschossdecke_gedaemmt == false)){
		return true;
	}

	if (gebaeude.baujahr_gebaeude && gebaeude.baujahr_gebaeude.length > 0) {
		return (
			(gebaeude.baujahr_gebaeude[0] < 1978 &&
				(gebaeude.einheiten || 0) <= 4 &&
				(gebaeude.saniert == false ) &&
				(ausweis.ausstellgrund == "Vermietung" ||
					ausweis.ausstellgrund == "Sonstiges" ||
					ausweis.ausstellgrund == "Verkauf"))	
		);
	}

	return false
}
